    import $ from "jquery";

$(window).ready(
    () => {
        $("#member-count").on(
            "keypress",
            event => {
                if (event.key === "Enter") {
                    $("#calculate").click();
                }
            }
        )
        $("#calculate").on(
            "click",
            event => {
                const memberCount = Number($("#member-count").val());

                if (isNaN(memberCount) || memberCount === 0) {
                    alert("Prosím, zadej skutečný počet členů.");
                    return;
                }

                const fifthOfPresentMembers = Math.ceil(memberCount / 5);
                const tenthOfPresentMembers = Math.ceil(memberCount / 10);

                $("#fifth-of-present-members").html(fifthOfPresentMembers);
                $("#tenth-of-present-members").html(tenthOfPresentMembers);

                $("#ongoing-motion").html(tenthOfPresentMembers);
                $("#motion-start").html(fifthOfPresentMembers);
            }
        );
    }
)
